# Uses of Class
javafx.scene.web.PromptData

Packages that use PromptData
Package
Description
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of PromptData in javafx.scene.web

Methods in javafx.scene.web that return types with arguments of type PromptData
Modifier and Type
Method
Description
`final Callback<PromptData,String>`
WebEngine.`getPromptHandler()`
Gets the value of the `promptHandler` property.
`final ObjectProperty<Callback<PromptData,String>>`
WebEngine.`promptHandlerProperty()`
JavaScript `prompt` handler property.
Method parameters in javafx.scene.web with type arguments of type PromptData
Modifier and Type
Method
Description
`final void`
WebEngine.`setPromptHandler(Callback<PromptData,String> handler)`
Sets the value of the `promptHandler` property.